Groovy Documentation

## groovy.jmx.builder
[Groovy] Class JmxBeanInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxBeanInfoManager

    class JmxBeanInfoManager

The JmxBeanInfoManager creates fully-described model mbean info object using the underlying meta map. The MBeanInfo object is used to provide description about the actual exported MBean instance.

Authors:
  Vladimir Vivien

Method Summary
`static javax.management.ObjectName` | `buildDefaultObjectName(java.lang.String defaultDomain, java.lang.String defaultType, java.lang.Object object)` Builds a default JMX ObjectName instance using meta data from object.
`static javax.management.modelmbean.ModelMBeanInfo` | `getModelMBeanInfoFromMap(java.util.Map map)` Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### buildDefaultObjectName

    static javax.management.ObjectName buildDefaultObjectName(java.lang.String defaultDomain, java.lang.String defaultType, java.lang.Object object)

  Builds a default JMX ObjectName instance using meta data from object.
  Parameters:
    `object` - used for name
  Returns:
    an instance of ObjectName

### getModelMBeanInfoFromMap

    static javax.management.modelmbean.ModelMBeanInfo getModelMBeanInfoFromMap(java.util.Map map)

  Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.
  Parameters:
    `map` - map of object
  Returns:
    ModelMBeanInfo built from map

Groovy Documentation